# array-slice [![NPM version](https://badge.fury.io/js/array-slice.png)](http://badge.fury.io/js/array-slice)

> Lo-dash's array-slice method. Slices `array` from the `start` index up to, but not including, the `end` index.

Note: This function is used instead of `Array#slice` to support node lists in IE < 9 and to ensure dense arrays are returned.

## Install
Install with [npm](npmjs.org):

```bash
npm i array-slice --save-dev
```

## Usage
```js
var slice = require('array-slice');
```

**Example**

```js
var arr = ['a','b','d','e','f','g','h','i','j'];
console.log(slice(arr, 3,6));
//=> ['e', 'f', 'g']
```

* `array` {Array}: The array to slice. 
* `[start=0]` {number}: The start index. 
* `[end=array.length]` {number}: The end index.

## Author

**Jon Schlinkert**
 
+ [github/jonschlinkert](https://github.com/jonschlinkert)
+ [twitter/jonschlinkert](http://twitter.com/jonschlinkert) 

## License
Copyright (c) 2014 Jon Schlinkert, contributors.  
Released under the MIT license

***

_This file was generated by [verb-cli](https://github.com/assemble/verb-cli) on July 04, 2014._